> ## Documentation Index
> Fetch the complete documentation index at: https://fdocs.info/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Companies Instantly

> Search companies in our cached database of 64 million records (updated annually). Instant results. Cost: 1 credit for 10 companies (searches returning fewer than 10 results still consume 1 credit).

```bash cURL theme={null}
curl --request POST \
	--url 'https://live-fetch.p.rapidapi.com/search-companies-instantly' \
	--header 'x-rapidapi-host: live-fetch.p.rapidapi.com' \
	--header 'x-rapidapi-key: YOUR_RAPIDAPI_KEY' \
	--header 'Content-Type: application/json' \
	--data '{"company_name": "", "industry": "IT Services and IT Consulting", "employee_range": "", "city": "", "state": "", "country": "", "count": 100, "sort_by": "follower_count", "page": 1}'
```

```python Python theme={null}
import requests

url = "https://live-fetch.p.rapidapi.com/search-companies-instantly"

payload = {
    "company_name": "",
    "industry": "IT Services and IT Consulting",
    "employee_range": "",
    "city": "",
    "state": "",
    "country": "",
    "count": 100,
    "sort_by": "follower_count",
    "page": 1
}

headers = {
    "x-rapidapi-key": "YOUR_RAPIDAPI_KEY",
    "x-rapidapi-host": "live-fetch.p.rapidapi.com",
    "Content-Type": "application/json"
}

response = requests.post(url, headers=headers, json=payload)

print(response.json())
```

```javascript JavaScript theme={null}
const url = 'https://live-fetch.p.rapidapi.com/search-companies-instantly';
const options = {
	method: 'POST',
	headers: {
		'x-rapidapi-key': 'YOUR_RAPIDAPI_KEY',
		'x-rapidapi-host': 'live-fetch.p.rapidapi.com',
		'Content-Type': 'application/json'
	},
	body: JSON.stringify({
		"company_name": "",
		"industry": "IT Services and IT Consulting",
		"employee_range": "",
		"city": "",
		"state": "",
		"country": "",
		"count": 100,
		"sort_by": "follower_count",
		"page": 1
	})
};

try {
	const response = await fetch(url, options);
	const result = await response.json();
	console.log(result);
} catch (error) {
	console.error(error);
}
```

```php PHP theme={null}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
	CURLOPT_URL => "https://live-fetch.p.rapidapi.com/search-companies-instantly",
	CURLOPT_RETURNTRANSFER => true,
	CURLOPT_CUSTOMREQUEST => "POST",
	CURLOPT_POSTFIELDS => '{"company_name": "", "industry": "IT Services and IT Consulting", "employee_range": "", "city": "", "state": "", "country": "", "count": 100, "sort_by": "follower_count", "page": 1}',
	CURLOPT_HTTPHEADER => [
		"x-rapidapi-host: live-fetch.p.rapidapi.com",
		"x-rapidapi-key: YOUR_RAPIDAPI_KEY",
		"Content-Type: application/json"
	],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
	echo "cURL Error #:" . $err;
} else {
	echo $response;
}
```

```go Go theme={null}
package main

import (
	"fmt"
	"io"
	"net/http"
	"strings"
)

func main() {
	payload := strings.NewReader(`{"company_name": "", "industry": "IT Services and IT Consulting", "employee_range": "", "city": "", "state": "", "country": "", "count": 100, "sort_by": "follower_count", "page": 1}`)

	req, _ := http.NewRequest("POST", "https://live-fetch.p.rapidapi.com/search-companies-instantly", payload)

	req.Header.Add("x-rapidapi-key", "YOUR_RAPIDAPI_KEY")
	req.Header.Add("x-rapidapi-host", "live-fetch.p.rapidapi.com")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))
}
```

```java Java theme={null}
HttpRequest request = HttpRequest.newBuilder()
		.uri(URI.create("https://live-fetch.p.rapidapi.com/search-companies-instantly"))
		.header("x-rapidapi-key", "YOUR_RAPIDAPI_KEY")
		.header("x-rapidapi-host", "live-fetch.p.rapidapi.com")
		.header("Content-Type", "application/json")
		.method("POST", HttpRequest.BodyPublishers.ofString("{\"company_name\": \"\", \"industry\": \"IT Services and IT Consulting\", \"employee_range\": \"\", \"city\": \"\", \"state\": \"\", \"country\": \"\", \"count\": 100, \"sort_by\": \"follower_count\", \"page\": 1}"))
		.build();
HttpResponse<String> response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
```


## OpenAPI

````yaml POST /search-companies-instantly
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://live-fetch.p.rapidapi.com
security:
  - ApiKeyAuth: []
paths:
  /search-companies-instantly:
    post:
      description: >-
        Search companies in our cached database of 64 million records (updated
        annually). Instant results. Cost: 1 credit for 10 companies (searches
        returning fewer than 10 results still consume 1 credit).
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                company_name:
                  type: string
                  example: ''
                industry:
                  type: string
                  example: IT Services and IT Consulting
                employee_range:
                  type: string
                  example: ''
                city:
                  type: string
                  example: ''
                state:
                  type: string
                  example: ''
                country:
                  type: string
                  example: ''
                count:
                  type: integer
                  example: 100
                sort_by:
                  type: string
                  example: follower_count
                page:
                  type: integer
                  example: 1
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        company_id:
                          type: string
                          example: '106584'
                        company_name:
                          type: string
                          example: Selby Jennings
                        description:
                          type: string
                          example: "From Investment Banking, Risk Management, Quantitative Trading, and Insurance, to Investment Management, Sales & Trading, Technology, and Wealth Management,\_Selby Jennings’s supports the world’s largest financial institutions to revolutionary fintech start-ups with all their hiring needs as a leading Financial Sciences and Services talent partner.\_\n\n​Get in touch to discover how we can help you find the right talent or define your next career move."
                        employee_count:
                          type: integer
                          example: 776
                        employee_range:
                          type: string
                          example: 1001-5000
                        follower_count:
                          type: integer
                          example: 549154
                        hq_full_address:
                          type: string
                          example: 21 Lombard Street, London EC3V 9AH, GB
                        industry:
                          type: string
                          example: IT Services and IT Consulting
                        linkedin_url:
                          type: string
                          example: https://www.linkedin.com/company/selby-jennings
                        public_id:
                          type: string
                          example: selby-jennings
                  message:
                    type: string
                    example: ok
                  total:
                    type: integer
                    example: 1567523
        '503':
          description: System error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SystemError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    SystemError:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: >-
            System error. You will not be charged for this request. We will fix
            it soon!
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.